/**
 * 
 */
package modeles;

import java.util.ArrayList;
import java.util.List;

/**
 * @author flavien
 *
 */
public class Salle {
	private int positionX;
	/**
	 * @param positionX
	 * @param positionY
	 * @param sortie
	 * @param listeEnnemie
	 * @param listePorte
	 */
	public Salle(int positionX, int positionY, boolean sortie, List listeEnnemie, List listePorte) {
		this.positionX = positionX;
		this.positionY = positionY;
		this.sortie = sortie;
		this.listeEnnemie = listeEnnemie;
		this.listePorte = listePorte;
	}

	private int positionY;
	private boolean sortie;
	private List<Monstre> listeEnnemie= new ArrayList<Monstre>();
	private List<Porte> listePorte = new ArrayList<Porte>();
	public String getType(){
		return "salle";
	}
	
	public int getPositionX() {
		return this.positionX;
	}

	public int getPositionY() {
		return this.positionY;
	}
	
	public boolean estSortie() {
		return sortie;
	}
	
	public boolean estVide() {
		return listeEnnemie.isEmpty();
	}
	
}

